package com.yunzhi.marketing.broker.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.marketing.base.BaseController;
import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.broker.entity.BkInviteRecord;
import com.yunzhi.marketing.broker.service.IBkInviteRecordService;
import com.yunzhi.marketing.common.StringUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@Api(tags = "经济人邀请记录对象功能接口")
@RestController
@RequestMapping("/api")
public class BkInviteRecordController extends BaseController {
    @Autowired
    private IBkInviteRecordService bkInviteRecordService;

    /**
     * 分页查询列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    @RequestMapping(value="/wx/bkInviteRecord",method= RequestMethod.GET)
    @ApiOperation(value="列表", notes = "列表", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean bkInviteRecordList(@ApiParam("页码") @RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
                                           @ApiParam("单页数据量") @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize,
                                           @ApiParam("是否已付佣金") @RequestParam(value ="isPayed", required = false) Boolean isPayed,
                                           HttpServletRequest request) throws Exception{

        String personId = getPersonId(request);
        IPage<BkInviteRecord> pg = new Page<>(pageNum, pageSize);
        QueryWrapper<BkInviteRecord> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("person_id", personId);
        queryWrapper.gt(null != isPayed && isPayed, "referral_fee", 0);
        queryWrapper.orderByDesc("create_date");

        IPage<BkInviteRecord> result = bkInviteRecordService.page(pg, queryWrapper);
        return ResponseBean.success(result);
    }
}
