package com.yunzhi.marketing.broker.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="BrokerSummery", description="全民经纪人概要")
public class BrokerSummery {

    @ApiModelProperty("人员ID")
    private String personId;

    @ApiModelProperty("头像")
    private String avatarurl;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("性别")
    private Integer sex;

    @TableField(exist = false)
    @ApiModelProperty("客户数")
    Integer customerNum;

    @TableField(exist = false)
    @ApiModelProperty("成交客户数")
    Integer signedNum;

    @TableField(exist = false)
    @ApiModelProperty("经纪人数")
    Integer brokerNum;

    @ApiModelProperty("总佣金")
    private Integer totalCommission;

    @ApiModelProperty("已结佣金")
    private Integer settledCommission;

    @ApiModelProperty("总推荐金额")
    private Integer referralFee;
}
